Bug 1196 - unable to enable urwfonts with the xfs
Summary: unable to enable urwfonts with the xfs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: urw-fonts   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-16 12:33 UTC by Chris Runge
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-19 17:47:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Runge 1999-02-16 12:33:59 UTC
RH 5.8 (beta 1)

urw-fonts and 100dpi fonts are commented out of the
/etc/X11/fs/config file by default (btw, it would be nice to
see these automatically enabled if the corresponding rpm is
installed).  To enable them both I edit the file commenting
out the appropriate lines so that the font catalog section
looks like this:

# where to look for fonts
# Some of these are commented out, i.e. the TrueType and
Type1
# directories in /usr/share, because they aren't forced to
be
# installed alongside X.
#
catalogue = /usr/X11R6/lib/X11/fonts/misc,
#       /usr/share/fonts/default/TrueType,
        /usr/share/fonts/default/Type1,
        /usr/X11R6/lib/X11/fonts/Type1,
        /usr/X11R6/lib/X11/fonts/Speedo,
        /usr/X11R6/lib/X11/fonts/75dpi,
        /usr/X11R6/lib/X11/fonts/100dpi

I then stop then restart the xfs (restart does not work)

/etc/rc.d/init.d/xfs stop
/etc/rc.d/init.d/xfs start

to receive this error:


[root@localhost /root]# /etc/rc.d/init.d/xfs start
Starting X Font Server: xfs
[root@localhost /root]# /usr/X11R6/bin/xfs error: Fatal font
server error:
/usr/X11R6/bin/xfs error: Element #1 (starting at 0) of font
path is bad or has a bad font:

"/usr/X11R6/lib/X11/fonts/misc,/usr/share/fonts/default/Type1,/usr/X11R6/lib/X11/fonts/Type1,/usr/X11R6/lib/X11/fonts/Speedo,/usr/X11R6/lib/X11/fonts/75dpi,/usr/X11R6/lib/X11/fonts/100dpi"


If I comment back out the urwfonts and start the daemon
everything is fine.

Comment 1 Cristian Gafton 1999-03-19 00:29:59 UTC
assigned to pbrown. Preston, can you sched some light ?

Comment 2 Preston Brown 1999-03-19 17:47:59 UTC
Sure.  Things were fairly broken in the first beta release.  X now
ships with a more sane xfs configuration file, as you will find if you
get the latest build (-23 and later).  Also, chkconfig had some issues
as well which you ran into.  There were some bugs. :(

All of these issues should be fixed at this point. You should be able
to add and remove font packages, and the xfs config file will be
changed accordingly, and the font server restarted without causing X
to hang up.


Note You need to log in before you can comment on or make changes to this bug.